# $Revision: 1.21BL1 $, $Date: 2009/12/10 17:33:38 $
Summary:	low-level library for netfilter related kernel/userspace communication
Summary(pl.UTF-8):	Niskopoziomowa biblioteka do związanej z netfiltrem komunikacji między jądrem a przestrzenią użytkownika
Name:		libnfnetlink
Version:	1.0.0
Release:	0BL1
License:	GPL v2
Group:		Libraries
Source0:	http://www.netfilter.org/projects/libnfnetlink/files/%{name}-%{version}.tar.bz2
# Source0-md5:	5d844ea1f557bad0364d5b85cd10c796
URL:		http://www.netfilter.org/projects/libnfnetlink/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
%define		_llh_version	7:2.6.12.0-9
BuildRequires:	linux-libc-headers >= %{_llh_version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnfnetlink is the low-level library for netfilter related
kernel/userspace communication. It provides a generic messaging
infrastructure for in-kernel netfilter subsystems (such as
nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) and their
respective users and/or management tools in userspace. This library is
not meant as a public API for application developers. It is only used
by other netfilter.org projects, such as libnetfilter_log,
libnetfilter_queue or libnetfilter_conntrack.

%description -l pl.UTF-8
libnfnetlink to niskopoziomowa biblioteka do związanej z netfiltrem
komunikacji między jądrem a przestrzenią użytkownika. Udostępnia
ogólną infrastrukturę komunikatów dla podsystemów netfiltra w jądrze
(takich jak nfnetlink_log, nfnetlink_queue, nfnetlink_conntrack) oraz
ich użytkowników i/lub narzędzi zarządzających w przestrzeni
użytkownika. Ta biblioteka nie jest przeznaczona jako publiczne API
dla twórców aplikacji; jest jedynie używana przez inne projekty
netfilter.org, takie jak libnetfilter_log, libnetfilter_queue czy
libnetfilter_conntrack.

%package devel
Summary:	Header files for libnfnetlink library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnfnetlink
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	linux-libc-headers >= %{_llh_version}

%description devel
Header files for libnfnetlink library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnfnetlink.

%package static
Summary:	Static libnfnetlink library
Summary(pl.UTF-8):	Statyczna biblioteka libnfnetlink
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnfnetlink library.

%description static -l pl.UTF-8
Statyczna biblioteka libnfnetlink.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libnfnetlink.so.*.*.*
%ghost %{_libdir}/libnfnetlink.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnfnetlink.so
%{_libdir}/libnfnetlink.la
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_pkgconfigdir}/%{name}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnfnetlink.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnfnetlink.spec,v $
Revision 1.21BL1  2009/12/10 17:33:38  bartoszl@ics.p.lodz.pl
- up to 1.0.0

Revision 1.21  2009/04/30 16:33:38  amateja
- up to 0.0.41

Revision 1.20  2009/01/26 11:20:13  areq
- 0.0.40

Revision 1.19  2008/08/04 18:11:41  zbyniu
- up to 0.0.39

Revision 1.18  2008-05-30 23:58:16  zbyniu
- up to 0.0.33

Revision 1.17  2007-08-12 20:40:46  qboosh
- updated to 0.0.30

Revision 1.16  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.14  2007/01/11 19:02:30  pluto
- updated to 0.0.25.

Revision 1.13  2007/01/05 17:35:43  arekm
- rel 3

Revision 1.12  2006/11/25 11:34:37  qboosh
- complete ac/am rebuild
- unified files
- License is GPL v2

Revision 1.11  2006/09/18 15:12:01  pluto
- add .pc to -devel, release 2.

Revision 1.10  2006/09/18 15:05:53  pluto
- BR: libtool.

Revision 1.9  2006/09/18 14:28:33  pluto
- updated to 0.0.16.

Revision 1.8  2006/01/15 09:51:31  pluto
- updated to 0.0.14.

Revision 1.7  2005/11/28 01:39:08  pluto
- release 2.

Revision 1.6  2005/11/17 03:05:37  pluto
- current llh-2.6.12-9 is enough.

Revision 1.5  2005/11/16 21:56:24  qboosh
- pl
- @kernel_ver in release was wrong - it's built against llh not kernel headers
- no R: kernel in userspace packages

Revision 1.4  2005/11/16 12:26:42  pluto
- R: llh for -devel.

Revision 1.3  2005/11/16 12:15:43  pluto
- oops, epoch for llh.

Revision 1.2  2005/11/16 12:14:59  pluto
- BR llh >= 2.6.14.0, epoch for R: kernel.

Revision 1.1  2005/11/16 12:07:53  pluto
- low-level library for netfilter related kernel/userspace communication.
